<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec id="top-referring_sites" superservice="www"
 schema="www-search" xmlns:lire="http://www.logreport.org/LRSML/">

 <lire:title>Top Referring Sites WWW Report</lire:title>

 <lire:description>
  <para>This report shows the top referring sites to your site.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="site_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of referring sites to show.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $site_to_show Referring Sites</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$site_to_show">
   <lire:field name="referring_site"/>
   <lire:count name="request_total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
